SystemOrganization addCategory: #ConfigurationOfDiacritics!

Object subclass: #ConfigurationOfDiacritics
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfDiacritics'!

!ConfigurationOfDiacritics class methodsFor: 'development support' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfDiacritics class methodsFor: 'private' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfDiacritics class methodsFor: 'catalog' stamp: 'HernanMoralesDurand 12/29/2013 08:07'!
catalogChangeLog
		
 ^ '- Version 1.0 migrated to SmalltalkHub
[[[
(ConfigurationOfDiacritics project version: ''1.0'') load
]]]
'! !

!ConfigurationOfDiacritics class methodsFor: 'catalog' stamp: 'HernanMoralesDurand 12/29/2013 08:23'!
catalogContactInfo

	^ 'Diacritics can be discussed in the Pharo-Users mailing list: http://www.pharo-project.org/community

The web home for the Diacritics project is : http://www.smalltalkhub.com/#!!/~hernan/Diacritics

The contact information for Diacritics is hernan.morales@gmail.com'! !

!ConfigurationOfDiacritics class methodsFor: 'catalog' stamp: 'HernanMoralesDurand 12/29/2013 08:08'!
catalogDescription

	^ 'Add diacritic support for latin-alphabets to Pharo. Diacritic characters are accents, cedillas, umlauts, etc.'! !

!ConfigurationOfDiacritics class methodsFor: 'catalog' stamp: 'HernanMoralesDurand 12/29/2013 08:16'!
catalogKeyClassesAndExample

	^ ' ==CharacterTable== is the main class of the package. It provides class methods to build and initialize the diacritical mappings.

The following examples send messages to strings with diacritics:
[[[ 
''cancion'' hasAnyDiacritical. "----> false"
''cancin'' hasAnyDiacritical. " ----> true "
'''' hasAnyDiacritical. "----> true"
''garon'' hasAnyDiacritical. "----> true"
''cancin'' isDiacriticalEquivalentOf: ''cancien''. "----> false"
''cancion'' isDiacriticalEquivalentOf: ''cancin''. "----> true"
''cancin'' diacriticalMatch: ''cancien''. "----> 0."
''cancin'' diacriticalMatch: ''cancion''. "----> 1".
''empch'' diacriticalMatch: ''empeche''. "----> 2"
]]]

The package contains SUnit tests in the ==DiacriticSupportTest== class.'! !

!ConfigurationOfDiacritics class methodsFor: 'catalog' stamp: 'HernanMoralesDurand 12/29/2013 08:17'!
catalogKeywords
	^ #(Diacritics acutes graves dieresis circumflexes tildes cedils)
	! !

!ConfigurationOfDiacritics class methodsFor: 'private' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfDiacritics class methodsFor: 'private' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfDiacritics class methodsFor: 'metacello tool support' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfDiacritics class methodsFor: 'loading' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfDiacritics class methodsFor: 'loading' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfDiacritics class methodsFor: 'loading' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfDiacritics class methodsFor: 'accessing' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
project

	^self new project! !

!ConfigurationOfDiacritics class methodsFor: 'development support' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfDiacritics methodsFor: 'baselines' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
baseline15: spec
	<version: '1.5-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemtalksystems.com/ss/MetaRepoForPharo20'.
		spec 
			package: 'DiacriticalSupport';
			package: 'DiacriticalSupportTest'.
		spec group: 'default' with: #('DiacriticalSupport' 'DiacriticalSupportTest' ). ].
! !

!ConfigurationOfDiacritics methodsFor: 'accessing' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfDiacritics methodsFor: 'symbolic versions' stamp: 'HernanMoralesDurand 8/12/2013 00:31'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfDiacritics methodsFor: 'accessing' stamp: 'HernanMoralesDurand 8/11/2013 01:39'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfDiacritics methodsFor: 'symbolic versions' stamp: 'HernanMoralesDurand 8/12/2013 00:31'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.7'.
! !

!ConfigurationOfDiacritics methodsFor: 'versions' stamp: 'HernanMoralesDurand 8/11/2013 01:42'!
version15: spec
	<version: '1.5' imports: #('1.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.5 : Stable version'.
		spec author: 'HernanMoralesDurand'.
		spec timestamp: '8/11/2013 01:42'.
		spec 
			package: 'DiacriticalSupport' with: 'DiacriticalSupport-hfm.13';
			package: 'DiacriticalSupportTest' with: 'DiacriticalSupportTest-HernanMoralesDurand.5'. ].

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: '1.5 : Stable version'.
		spec author: 'HernanMoralesDurand'.
		spec timestamp: '8/11/2013 01:42'.
		spec 
			package: 'DiacriticalSupport' with: 'DiacriticalSupport-hfm.13';
			package: 'DiacriticalSupportTest' with: 'DiacriticalSupportTest-HernanMoralesDurand.5'. ].
! !

!ConfigurationOfDiacritics methodsFor: 'versions' stamp: 'HernanMoralesDurand 8/12/2013 00:28'!
version16: spec
	<version: '1.6' imports: #('1.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.5 : Stable version
1.6 : refactored method
'.
		spec author: 'HernanMoralesDurand'.
		spec timestamp: '8/12/2013 00:28'.
		spec 
			package: 'DiacriticalSupport' with: 'DiacriticalSupport-HernanMoralesDurand.15';
			package: 'DiacriticalSupportTest' with: 'DiacriticalSupportTest-HernanMoralesDurand.5'. ].
! !

!ConfigurationOfDiacritics methodsFor: 'versions' stamp: 'HernanMoralesDurand 8/12/2013 00:31'!
version17: spec
	<version: '1.7' imports: #('1.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '1.6 : refactored method
'.
		spec author: 'HernanMoralesDurand'.
		spec timestamp: '8/12/2013 00:29'.
		spec 
			package: 'DiacriticalSupport' with: 'DiacriticalSupport-HernanMoralesDurand.15';
			package: 'DiacriticalSupportTest' with: 'DiacriticalSupportTest-HernanMoralesDurand.5'. ].
! !
